curl --request GET \
--url https://thirdparty.qonto.com/v2/requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://thirdparty.qonto.com/v2/requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://thirdparty.qonto.com/v2/requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://thirdparty.qonto.com/v2/requests")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://thirdparty.qonto.com/v2/requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"current_page": 1,
"next_page": null,
"prev_page": null,
"total_pages": 1,
"total_count": 4,
"per_page": 25
},
"requests": [
{
"id": "965b8c57-72fd-4d12-8d85-56874104c81a",
"request_type": "virtual_card",
"status": "pending",
"initiator_id": "cc32875a-a590-44c7-bdc1-0680ae72b0db",
"approver_id": null,
"note": "Library subscription",
"declined_note": null,
"payment_monthly_limit": "5.00",
"currency": "EUR",
"processed_at": null,
"created_at": "2021-11-24T10:34:51.706Z"
},
{
"id": "fd6d72c0-557d-4d51-8502-d7ce86cb72ea",
"request_type": "flash_card",
"status": "canceled",
"initiator_id": "dbbb579a-f8a5-41df-8cea-09e040464366",
"approver_id": null,
"note": "Restaurant",
"declined_note": null,
"pre_expires_at": "2022-03-15T22:59:59.999Z",
"payment_lifespan_limit": "250.00",
"currency": "EUR",
"processed_at": "2021-11-24T10:33:59.965Z",
"created_at": "2021-11-24T10:33:23.817Z"
},
{
"id": "68e38bca-064c-4b50-8343-26ce40f617af",
"request_type": "multi_transfer",
"status": "approved",
"initiator_id": "300d309f-a7e0-4db2-af3b-003ce0a676a4",
"approver_id": "087a7f4f-d316-4bad-810f-84807634cb9f",
"note": "Scheduled multi transfer (for Aug 2022)",
"declined_note": null,
"total_transfers_amount": "25561.80",
"total_transfers_amount_currency": "EUR",
"total_transfers_count": 43,
"scheduled_date": "2022-08-15",
"processed_at": "2021-11-24T10:34:51.706Z",
"created_at": "2021-11-10T12:22:28.790Z"
},
{
"id": "57d28d6f-3a22-4573-990a-c62d2f7d67f0",
"request_type": "transfer",
"status": "declined",
"initiator_id": "dbbb579a-f8a5-41df-8cea-09e040464366",
"attachment_ids": [],
"approver_id": "788571b5-1aea-4aec-bb7b-366288a4ba68",
"note": "Provider subscription",
"declined_note": "This is not in our policy",
"creditor_name": "John Doe",
"amount": "30.00",
"currency": "EUR",
"scheduled_date": "2021-10-06",
"recurrence": "monthly",
"last_recurrence_date": null,
"processed_at": "2021-10-06T16:14:28.284Z",
"created_at": "2021-10-06T16:14:11.673Z"
}
]
}List requests
Retrieves the list of requests for the authenticated organizations.
curl --request GET \
--url https://thirdparty.qonto.com/v2/requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://thirdparty.qonto.com/v2/requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://thirdparty.qonto.com/v2/requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://thirdparty.qonto.com/v2/requests")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://thirdparty.qonto.com/v2/requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"current_page": 1,
"next_page": null,
"prev_page": null,
"total_pages": 1,
"total_count": 4,
"per_page": 25
},
"requests": [
{
"id": "965b8c57-72fd-4d12-8d85-56874104c81a",
"request_type": "virtual_card",
"status": "pending",
"initiator_id": "cc32875a-a590-44c7-bdc1-0680ae72b0db",
"approver_id": null,
"note": "Library subscription",
"declined_note": null,
"payment_monthly_limit": "5.00",
"currency": "EUR",
"processed_at": null,
"created_at": "2021-11-24T10:34:51.706Z"
},
{
"id": "fd6d72c0-557d-4d51-8502-d7ce86cb72ea",
"request_type": "flash_card",
"status": "canceled",
"initiator_id": "dbbb579a-f8a5-41df-8cea-09e040464366",
"approver_id": null,
"note": "Restaurant",
"declined_note": null,
"pre_expires_at": "2022-03-15T22:59:59.999Z",
"payment_lifespan_limit": "250.00",
"currency": "EUR",
"processed_at": "2021-11-24T10:33:59.965Z",
"created_at": "2021-11-24T10:33:23.817Z"
},
{
"id": "68e38bca-064c-4b50-8343-26ce40f617af",
"request_type": "multi_transfer",
"status": "approved",
"initiator_id": "300d309f-a7e0-4db2-af3b-003ce0a676a4",
"approver_id": "087a7f4f-d316-4bad-810f-84807634cb9f",
"note": "Scheduled multi transfer (for Aug 2022)",
"declined_note": null,
"total_transfers_amount": "25561.80",
"total_transfers_amount_currency": "EUR",
"total_transfers_count": 43,
"scheduled_date": "2022-08-15",
"processed_at": "2021-11-24T10:34:51.706Z",
"created_at": "2021-11-10T12:22:28.790Z"
},
{
"id": "57d28d6f-3a22-4573-990a-c62d2f7d67f0",
"request_type": "transfer",
"status": "declined",
"initiator_id": "dbbb579a-f8a5-41df-8cea-09e040464366",
"attachment_ids": [],
"approver_id": "788571b5-1aea-4aec-bb7b-366288a4ba68",
"note": "Provider subscription",
"declined_note": "This is not in our policy",
"creditor_name": "John Doe",
"amount": "30.00",
"currency": "EUR",
"scheduled_date": "2021-10-06",
"recurrence": "monthly",
"last_recurrence_date": null,
"processed_at": "2021-10-06T16:14:28.284Z",
"created_at": "2021-10-06T16:14:11.673Z"
}
]
}Scope:
organization.read Sensitive
You can filter (ex: only retrieve a specific request type) and sort this list by using query parameters π
The response is automatically filtered based on the authenticated userβs role and scope:
- Employee: Only their own requests
- Manager (team-level permissions):
- Their own requests
- Requests from direct team members
- Manager (organization-level permissions):
- All the requests (based on their permissions)
- Owner/Admin: All the requests across the organization
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Query Parameters
Requests can be filtered by their status.
This filter accepts an array of the following statuses:
pending: a request still waiting for final status.
approved: a request that has been approved by approver. Final status.declined: a request that has been declined by approver. Final status.canceled: a request that has been canceled by requester. Final status.
pending, approved, canceled, declined "status[]=approved&status[]=declined&status[]=pending"
Requests can be filtered by their request_type.
This filter accepts an array of the following statuses:
flash_card: a flash card is a non-physical card with a budget and a last day of validity. The card becomes inactive after the budget is totally spent or the last date of validity is past.virtual_card: a virtual card is a non-physical card with a monthly budget. Card holder can spend that amount every calendar month. Above that, transactions will be refused.transfer: a transfer of money from one Qonto account to another account.multi_transfer: several transfers executed at the same time. A document can be provided to create a multi-transfer which is composed of many different transfers.
transfer, multi_transfer, flash_card, virtual_card "request_type[]=transfer&request_type[]=multi_transfer"
Requests can be filtered by their created_at property. Please use a valid date time format (ISO 8601 for instance).
"2019-01-10T11:47:53.123Z"
Requests can be filtered by their processed_at property. Please use a valid date time format (ISO 8601 for instance).
"2019-01-10T11:47:53.123Z"
Requests can be sorted by a specific property and order.
Property: processed_at, created_at or status
Order: asc (Ascending) / desc (Descending)
Do note: Sorting by status:asc returns a list of requests with statuses in the following order: pending, approved, declined, canceled.
Returned page (cf. Pagination).
Number of requests per page (cf. Pagination).
Was this page helpful?